<?php

function pgp_forum_link_rest(){

    register_rest_field(array("markets","venders",'tlg_channels','other_services','top_forums'), '_forum_link', array(
        'get_callback' => function (){
            global $post;
            $forum_link= get_post_meta($post->ID, '_forum_link',true);
            wp_reset_postdata();
            return $forum_link;
        }
    ));
}
add_action('rest_api_init', 'pgp_forum_link_rest' );